package cz.itnetwork

/*
 *  _____ _______         _                      _
 * |_   _|__   __|       | |                    | |
 *   | |    | |_ __   ___| |___      _____  _ __| | __  ___ ____
 *   | |    | | '_ \ / _ \ __\ \ /\ / / _ \| '__| |/ / / __|_  /
 *  _| |_   | | | | |  __/ |_ \ V  V / (_) | |  |   < | (__ / /
 * |_____|  |_|_| |_|\___|\__| \_/\_/ \___/|_|  |_|\_(_)___/___|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 * IT ZPRAVODAJSTVÍ  <>  PROGRAMOVÁNÍ  <>  HW A SW  <>  KOMUNITA
 *
 * Tento zdrojový kód pochází z IT sociální sítě WWW.ITNETWORK.CZ
 *
 * Můžete ho upravovat a používat jak chcete, musíte však zmínit
 * odkaz na http://www.itnetwork.cz
 */

/** Třída reprezentuje hrací kostku */
class Kostka(val pocetSten: Int) { //Náš parametr jsme definovali už v argumentech kontruktoru
    constructor() : this(6)

    /**
     * Vykoná hod kostkou
     * @return Číslo od 1 do počtu stěn
     */
    fun hod(): Int {
        return (1..pocetSten).shuffled().first()
    }

    /**
     * Vrací textovou reprezentaci kostky
     * @return Textová reprezentace kostky
     */
    override fun toString(): String {
        return "Kostka s $pocetSten stěnami"
    }
}